"""DNScheck pydantic models."""

from pydantic import BaseModel, NonNegativeInt


class Nameserver(BaseModel):
    """Nameserver model."""

    fqdn: str
    ip_addresses: list[str] = []


class DSInfo(BaseModel):
    """DS info."""

    algorithm: NonNegativeInt
    digest: str
    digtype: NonNegativeInt
    keytag: NonNegativeInt
